using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SysTray
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Resize(object sender, EventArgs e)
        {
            if (this.WindowState == FormWindowState.Minimized)//this code gets fired on every resize so we check if the form was minimized
            {
                Hide();//hides the program on the taskbar
                notifyIcon1.Visible = true;//shows our tray icon

                //shows a balloon for 1 sec with a title, some text, and the info icon
                //other possibilities are: TooltipIcon.None, Tooltipicon.Error, and TooltipIcon.Warning
                notifyIcon1.ShowBalloonTip(1000, "Hello", "This is a balloontip!", ToolTipIcon.Info);
            }
        }

        private void notifyIcon1_MouseDoubleClick(object sender, MouseEventArgs e)
        {
            Show();//shows the program on taskbar
            this.WindowState = FormWindowState.Normal;//undoes the minimized state of the form
            notifyIcon1.Visible = false;//hides tray icon again
        }
    }
}